Opened 12 years ago

Last modified 7 years ago

#389 closed defect (Fixed)

Tor not connecting after installing Tor & Privoxy & Vidalia bundle: 0.1.2.7-alpha

Reported by: kc9718 Owned by:
Priority: Very High Milestone:
Component: Core Tor/Tor Version: 0.1.2.7-alpha
Severity: Keywords:
Cc: kc9718, arma Actual Points:
Parent ID: Points:
Reviewer: Sponsor:

Description

Windows 98SE 4.10 (Build 2222 A)
IBM Aptiva - GenuineIntel Pentium(R) 200 MHz xA3 & mxA3
Tor & Privoxy & Vidalia bundle: 0.1.2.7-alpha

Using Tor as *Client only*.

After a clean install of the bundle, downloaded from:
http://tor.eff.org/dist/vidalia-bundles/vidalia-bundle-0.1.2.7-alpha-0.0.10.exe
and verified, Vidalia will not start Tor - correct locations of the Tor exe and torrc files verified, but Vidalia
settings "save" is corrupting location info. Privoxy operating correctly. Uninstalled Vidalia. Started Tor, which ran
for a few seconds, then closed - no info available. Edited torrc to send info to debug.log, restarted Tor.
Results below:

Feb 11 17:08:28.070 [notice] Tor 0.1.2.7-alpha opening new log file.
Feb 11 17:08:28.130 [debug] parse_dir_server_line(): Trusted dirserver at 18.244.0.188:9031 (46DB)
Feb 11 17:08:28.130 [debug] parse_dir_server_line(): Trusted dirserver at 18.244.0.114:80 (E45D)
Feb 11 17:08:28.130 [debug] parse_dir_server_line(): Trusted dirserver at 86.59.21.38:80 (1F85)
Feb 11 17:08:28.130 [debug] parse_dir_server_line(): Trusted dirserver at 140.247.60.64:80 (F5FC)
Feb 11 17:08:28.130 [debug] parse_dir_server_line(): Trusted dirserver at 194.109.206.212:80 (EAD6)
Feb 11 17:08:28.180 [info] or_state_load(): Loaded state from "C:\WINDOWS\Application Data\tor/state"
Feb 11 17:08:32.080 [warn] Could not open "C:\WINDOWS\Application Data\tor/cached-routers.new".
Feb 11 17:08:32.080 [info] update_router_have_minimum_dir_info(): We have 0 of 5 network statuses, and we want more

than 2.

Feb 11 17:08:32.080 [notice] I learned some more directory information, but not enough to build a circuit.
Feb 11 17:08:32.080 [info] update_router_descriptor_client_downloads(): Not enough networkstatus documents to launch

requests.

Feb 11 17:08:32.080 [info] update_router_descriptor_client_downloads(): Not enough networkstatus documents to launch

requests.

Feb 11 17:08:32.080 [info] update_networkstatus_client_downloads(): For 5/5 running directory servers, we have 0 live

network-status documents. Downloading 5.

Feb 11 17:08:32.080 [info] router_pick_directory_server(): No reachable router entries for dirservers. Trying them all

again.

Feb 11 17:08:32.080 [info] router_pick_directory_server(): Still no reachable router entries. Reloading and trying

again.

Feb 11 17:08:32.080 [warn] Could not open "C:\WINDOWS\Application Data\tor/cached-routers.new".
Feb 11 17:08:32.080 [info] directory_get_from_dirserver(): No router found for network status; falling back to dirserver

list

Feb 11 17:08:32.080 [debug] directory_initiate_command(): private 0, want_to_tunnel 0.
Feb 11 17:08:32.080 [debug] directory_initiate_command(): initiating network-status fetch
Feb 11 17:08:32.080 [debug] connection_connect(): Connecting to [scrubbed]:80.
Feb 11 17:08:32.250 [debug] connection_connect(): Connection to [scrubbed]:80 in progress (sock 216).
Feb 11 17:08:32.250 [debug] connection_add(): new conn type Directory, socket 216, n_conns 3.
Feb 11 17:08:32.250 [debug] write_to_buf(): added 4 bytes to buf (now 4 total).
Feb 11 17:08:32.250 [debug] write_to_buf(): added 221 bytes to buf (now 225 total).
Feb 11 17:08:32.250 [debug] write_to_buf(): added 33 bytes to buf (now 258 total).
Feb 11 17:08:32.250 [info] update_router_have_minimum_dir_info(): We have 0 of 5 network statuses, and we want more

than 2.

Feb 11 17:08:32.580 [info] or_state_save(): Saved state to "C:\WINDOWS\Application Data\tor/state"
Feb 11 17:08:32.580 [err] nt_service_loadlibrary(): Couldn't find ChangeServiceConfig2A in advapi32.dll! We probably

got the name wrong.

Feb 11 17:08:32.740 [info] or_state_save(): Saved state to "C:\WINDOWS\Application Data\tor/state"
Feb 11 17:08:32.740 [debug] _connection_free(): closing fd 44.
Feb 11 17:08:32.740 [debug] _connection_free(): closing fd 48.
Feb 11 17:08:32.740 [debug] _connection_free(): closing fd 216.

Completely uninstalled everything, re-downloaded bundle, and did clean install, this time de-selecting Vidalia & just
installing Tor and Privoxy. Same results repeated. Searched entire drive for "cached-routers.new" - unable to locate.
Checked properties for "ADVAPI32.dll" - File version 4.80.1675, Win32 ADVAPI32 core component, Copyright (C) Microsoft
Corp. 1991-1998, File size 64Kb, installed 4/23/99 with original installation of Windows 98 OS, apparently *not* revised
during the upgrade to Windows 98SE. I have NEVER had Windows NT - which Tor seems to be wanting -
"[err] nt_service_loadlibrary():"

Here is my torrc file, which the bundle installed in C:\WINDOWS\Application Data\Tor (note the "Last updated 8 October
2006 for Tor 0.1.2.3-alpha.") :

## Configuration file for a typical Tor user
## Last updated 8 October 2006 for Tor 0.1.2.3-alpha.
## (May or may not work for older or newer versions of Tor.)
##
## Lines that begin with "## " try to explain what's going on. Lines
## that begin with just "#" are disabled commands: you can enable them
## by removing the "#" symbol.
##
## See the man page, or http://tor.eff.org/tor-manual-cvs.html, for more
## options you can use in this file.
##
## On Unix, Tor will look for this file in someplace like "~/.tor/torrc" or
## "/etc/torrc"
##
## On Windows, Tor will look for the configuration file in someplace like
## "Application Data\tor\torrc" or "Application Data\<username>\tor\torrc"
##
## With the default Mac OS X installer, Tor will look in ~/.tor/torrc or
## /Library/Tor/torrc

## Replace this with "SocksPort 0" if you plan to run Tor only as a
## server, and not make any local application connections yourself.
SocksPort 9050 # what port to open for local application connections
SocksListenAddress 127.0.0.1 # accept connections only from localhost
#SocksListenAddress 192.168.0.1:9100 # listen on this IP:port also

## Entry policies to allow/deny SOCKS requests based on IP address.
## First entry that matches wins. If no SocksPolicy is set, we accept
## all (and only) requests from SocksListenAddress.
#SocksPolicy accept 192.168.0.0/16
#SocksPolicy reject *

## Logs go to stdout at level "notice" unless redirected by something
## else, like one of the below lines. You can have as many Log lines as
## you want.
##
## We advise using "notice" in most cases, since anything more verbose
## may provide sensitive information to an attacker who obtains the logs.
##
## Send all messages of level 'notice' or higher to C:\Documents and Settings\Application Data\Tor\notices.log
#Log notice file C:\Documents and Settings\Application Data\Tor\notices.log
## Send every possible message to C:\Documents and Settings\Application Data\Tor\debug.log
Log debug file C:\Program Files\Tor\debug.log
## Use the system log instead of Tor's logfiles
#Log notice syslog
## To send all messages to stderr:
#Log debug stderr

## Uncomment this to start the process in the background... or use
## --runasdaemon 1 on the command line. This is ignored on Windows;
## see the FAQ entry if you want Tor to run as an NT service.
#RunAsDaemon 1

## The directory for keeping all the keys/etc. By default, we store
## things in $HOME/.tor on Unix, and in Application Data\tor on Windows.
#DataDirectory @LOCALSTATEDIR@/lib/tor

## The port on which Tor will listen for local connections from Tor
## controller applications, as documented in control-spec.txt.
ControlPort 9051

############### This section is just for location-hidden services ###

## Once you have configured a hidden service, you can look at the
## contents of the file ".../hidden_service/hostname" for the address
## to tell people.
##
## HiddenServicePort x y:z says to redirect requests on port x to the
## address y:z.

#HiddenServiceDir C:\Documents and Settings\Application Data\Tor\hidden_service/
#HiddenServicePort 80 127.0.0.1:80

#HiddenServiceDir C:\Documents and Settings\Application Data\Tor\other_hidden_service/
#HiddenServicePort 80 127.0.0.1:80
#HiddenServicePort 22 127.0.0.1:22

################ This section is just for servers #####################

## NOTE: If you enable these, you should consider mailing the contents
## of the "fingerprint" file to the tor-ops, so nobody else can pick
## your nickname and use a different key. See
## http://tor.eff.org/docs/tor-doc-server.html for details.

## Required: A unique handle for your server.
#Nickname ididnteditheconfig

## The IP or FQDN for your server. Leave commented out and Tor will guess.
#Address noname.example.com

## Define these to limit your bandwidth usage. Note that BandwidthRate
## must be at least 20 KB.
#BandwidthRate 100 KB # Throttle traffic to 100KB/s (800Kbps)
#BandwidthBurst 200 KB # But allow bursts up to 200KB/s (1600Kbps)

## Contact info to be published in the directory, so we can contact you
## if your server is misconfigured or something else goes wrong.
#ContactInfo Random Person <nobody AT example dot com>
## You might also include your PGP or GPG fingerprint if you have one:
#ContactInfo 1234D/FFFFFFFF Random Person <nobody AT example dot com>

## Required: what port to advertise for Tor connections.
#ORPort 9001
## If you want to listen on a port other than the one advertised
## in ORPort (e.g. to advertise 443 but bind to 9090), uncomment the
## line below too. You'll need to do ipchains or other port forwarding
## yourself to make this work.
#ORListenAddress 0.0.0.0:9090

## Uncomment this to mirror the directory for others. Please do
## if you have enough bandwidth: see the bottom of
## http://wiki.noreply.org/noreply/TheOnionRouter/TorFAQ#LimitBandwidth
#DirPort 9030 # what port to advertise for directory connections
## If you want to listen on a port other than the one advertised
## in DirPort (e.g. to advertise 80 but bind to 9091), uncomment the line
## below too. You'll need to do ipchains or other port forwarding yourself
## to make this work.
#DirListenAddress 0.0.0.0:9091

## Uncomment this if you run more than one Tor server, and add the
## nickname of each Tor server you control, even if they're on different
## networks. You declare it here so Tor clients can avoid using more than
## one of your servers in a single circuit.
#MyFamily nickname1,nickname2,...

## A comma-separated list of exit policies. They're considered first
## to last, and the first match wins. If you want to _replace_
## the default exit policy, end this with either a reject *:* or an
## accept *:*. Otherwise, you're _augmenting_ (prepending to) the
## default exit policy. Leave commented to just use the default, which is
## available in the man page or at http://tor.eff.org/documentation.html
##
## Look at http://tor.eff.org/faq-abuse.html#TypicalAbuses
## for issues you might encounter if you use the default exit policy.
##
## If certain IPs and ports are blocked externally, e.g. by your firewall,
## you should update your exit policy to reflect this -- otherwise Tor
## users will be told that those destinations are down.
##
#ExitPolicy accept *:6660-6667,reject *:* # allow irc ports but no more
#ExitPolicy accept *:119 # accept nntp as well as default exit policy
#ExitPolicy reject *:* # no exits allowed

What do I need to do to correct the "Could not open "C:\WINDOWS\Application Data\tor/cached-routers.new" and "Couldn't
find ChangeServiceConfig2A in advapi32.dll! We probably got the name wrong." problems??? Also, do I need to edit my
torrc file in some other way to operate correctly?

I previously ran an old Tor/TorCP/Privoxy bundle (don't remember the version #'s), which worked fine on my system, but
uninstalled everything and deleted the old bundle file before installing this new bundle, and now cannot find the older
bundle online. Any help would be appreciated.

kc9718

[Automatically added by flyspray2trac: Operating System: Windows 2k/XP]

Child Tickets

Change History (8)

comment:1 Changed 12 years ago by arma

Not finding cached-routers.new is fine. It will get created later on.

How do you start Tor by itself? From command-line, by clicking-clicking
it, or which?

The real problem looks like it's with finding ChangeServiceConfig2A and
friends. It looks like we assume NT service support in the 0.1.2.7-alpha
release -- see tor_main() at the bottom of main.c -- presumably whoever
compiles the Windows Tor has MS_WINDOWS_SERVICE enabled, so if argc >
2, we try to load NT service stuff. Perhaps we should tolerate failing,
if we're not then trying to use NT service arguments?

comment:2 Changed 12 years ago by arma

You can find other Vidalia bundles at
http://tor.eff.org/dist/vidalia-bundles/

comment:3 Changed 12 years ago by kc9718

Comment by Roger Dingledine - Monday, 12 Feb 2007, 3:39am

Not finding cached-routers.new is fine. It will get created later on.

Ok.

How do you start Tor by itself? From command-line, by clicking-clicking it, or which?

Had the bundle add Tor to the Start Menu, so I go to Start, then click on Tor. Although I do understand what you mean
by "Command-line", I am not familiar with any "command-line" commands for starting Tor. If you would be so kind as to
pointing me in the direction of some, I would be happy to try the "command-line" option for starting Tor, if that might
help.

The real problem looks like it's with finding ChangeServiceConfig2A and friends. It looks like we assume NT service
support in the 0.1.2.7-alpha release -- see tor_main() at the bottom of main.c -- presumably whoever compiles the
Windows Tor has MS_WINDOWS_SERVICE enabled, so if argc > 2, we try to load NT service stuff. Perhaps we should
tolerate failing, if we're not then trying to use NT service arguments?

Sorry, you lost me with all of the above. I hope this was a 'note to self' or a 'note to developer/compiler' for the Windows Tor? I am only a user, with no knowledge of either development or compilation.

kc9718

comment:4 Changed 12 years ago by kc9718

Comment by Roger Dingledine - Monday, 12 Feb 2007, 3:39am
The real problem looks like it's with finding ChangeServiceConfig2A and friends. It looks like we assume NT service
support in the 0.1.2.7-alpha release -- see tor_main() at the bottom of main.c -- presumably whoever compiles the
Windows Tor has MS_WINDOWS_SERVICE enabled, so if argc > 2, we try to load NT service stuff. Perhaps we should
tolerate failing, if we're not then trying to use NT service arguments?

Is there someplace I can download an updated version of this "advapi32.dll" that will work with Windows98SE, which
will allow Tor to work? Or some 'patch' perhaps?

kc9718

comment:5 Changed 12 years ago by nickm

Roger's comment above was indeed a note-to-developers: this was indeed a bug he was describing; I've checked in a
fix that will appear in the next version of Tor (0.1.2.8-rc).

I've also downgraded the "can't find cached-routers.new" message from a warning to an info-level log message.

You probably shouldn't mess with your advapi32.dll.

comment:6 Changed 12 years ago by nickm

(Your best bet to make this work on win98 is to downgrade to Tor 0.1.2.6-alpha, or wait for 0.1.2.8-rc. Invoking Tor without any command-line options might also prevent this error from occurring.)

Thanks!

comment:7 Changed 12 years ago by nickm

flyspray2trac: bug closed.
Bug fixed in r9571; fix will appear in Tor version 0.1.2.8-rc.

comment:8 Changed 7 years ago by nickm

Component: Tor ClientTor
Note: See TracTickets for help on using tickets.